ReferenceAdmin
What moving a knowledge base to a profile involves, and what blocks it (platform admins and auditors; changes nothing)
POST
/v1/admin/profile-migrations/preflightRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/admin/profile-migrations/preflight" \ -H "Content-Type: application/json" \ -d '{ "kbId": "a6a9e4cd-2268-4a05-9203-ebd30485b88f", "targetProfileId": "c2a3ebdd-7cda-4cf3-b403-e8ea6d5b2c7f" }'{ "data": { "kb": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "teamSlug": "string", "teamName": "string", "profile": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } }, "target": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "model": "string", "dimensions": 0, "storageType": "string", "chunkSize": 0, "chunkOverlap": 0, "maxClassification": "string" }, "sources": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shared": true, "otherKnowledgeBases": 0, "documents": 0, "passages": 0, "tokens": 0, "inProgress": 0, "failed": 0, "alreadyEmbedded": true } ], "estimate": { "documents": 0, "passages": 0, "tokens": 0, "embeddingCalls": 0, "requestsPerMinute": 0, "minutes": 0, "rechunk": true }, "blockers": [ { "code": "string", "message": "string" } ], "warnings": [ { "code": "string", "message": "string" } ], "maintenance": true, "defaultGraceDays": 0 }}